
CoCoA-5 - Feature #1526

EmacsUI: help/manual for selected string -- or just for word with cursor on?

29 Oct 2020 17:43 - Anna Maria Bigatti

Status: Closed Start date: 29 Oct 2020

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 2.51 hours

Target version: CoCoA-5.4.0 Spent time: 2.50 hours

Description

Make it possible to get the manual for a selected string.

In the file buffer it is C-c C-h and it is also in the menu.

Do the same for the cocoa5 buffer (and/or think of C-c C-m or other bindings)

2022-03 final decision:

only for the word where the cursor is

key-binding / shortcut: C-c C-h

now works also for running cocoa5 (comint) window

Related issues:

Related to CoCoA-5 - Design #1525: CoCoA Manual: homogenize obsolete/obsolesc... Closed 29 Oct 2020

Related to CoCoA-5 - Support #1314: Emacs UI: open manual pages in a separate... In Progress 11 Sep 2019

History

#1 - 29 Oct 2020 17:44 - Anna Maria Bigatti

- Related to Design #1525: CoCoA Manual: homogenize obsolete/obsolescent entries added

#2 - 04 Nov 2021 23:26 - John Abbott

Is this something easy we could do quickly?  Or is it better to postpone to the next release?

#3 - 12 Nov 2021 11:23 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#4 - 12 Nov 2021 11:25 - Anna Maria Bigatti

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

- % Done changed from 0 to 20

it is probably easy to add it to the cocoa5-comint menu.

What about the keybinding?

#5 - 12 Nov 2021 11:30 - Anna Maria Bigatti

- % Done changed from 20 to 70

Done for the CoCoA-5 menu.

#6 - 12 Nov 2021 11:32 - John Abbott

- Status changed from New to In Progress

- % Done changed from 70 to 20
Might it make sense to bind also C-c h   and perhaps C-c ?  or even  C-c C-?

Just some suggestions.... maybe too many bindings makes it more confusing?

#7 - 12 Nov 2021 11:34 - John Abbott

I have just tested what happens if there is some unsent input in the CoCoA-5, and it seems to discard the unsent input, and then do the manual

command.

This is reasonable.

#8 - 12 Nov 2021 11:35 - Anna Maria Bigatti

- Subject changed from EmacsUI: manual for selected string to EmacsUI: manual for selected string -- or just for word with cursor on?

- Category deleted (EmacsUI)

- Assignee changed from Anna Maria Bigatti to John Abbott

- Target version deleted (CoCoA-5.4.0)

#9 - 12 Nov 2021 11:37 - Anna Maria Bigatti

- Category set to EmacsUI

- Target version set to CoCoA-5.4.0

- % Done changed from 20 to 70

#10 - 18 Feb 2022 17:09 - Anna Maria Bigatti

Think and choose key binding for cocoa5 mode

#11 - 03 Mar 2022 15:44 - John Abbott

- Related to Support #1314: Emacs UI: open manual pages in a separate frame? added

#12 - 03 Mar 2022 16:54 - John Abbott

Current impl just looks up the word around cursor -- it ignores the selected region.

It also advances the cursor past the current word (and perhaps 1 char beyond).

#13 - 07 Mar 2022 15:27 - Anna Maria Bigatti

- Subject changed from EmacsUI: manual for selected string -- or just for word with cursor on? to EmacsUI: help/manual for selected string -- or just for

word with cursor on?

#14 - 07 Mar 2022 15:29 - Anna Maria Bigatti

Chosen key-binding / shortcut:   C-c C-h

works also for running cocoa5 (comint)  window

#15 - 07 Mar 2022 15:31 - Anna Maria Bigatti

- Description updated

- % Done changed from 70 to 100

#16 - 07 Mar 2022 15:32 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- Estimated time set to 2.51 h
